<!DOCTYPE html>
<html lang="en">
  <head>
    <link rel="stylesheet/less" type="text/css" href="static/less/index.less" />
  </head>
  <head th:insert="fragments/header::head"></head>
  <body>
    <header th:replace="fragments/header::header"></header>
    <section class="container">
      <div class="disclaimer">
        <h4>Disclaimer</h4>
        <p>
          All data provided on this website is provided for illustration
          purposes only, and is not intended for trading or investing purposes.
        </p>
        <h5>Data delays and providers</h5>
        <p>
          The cryptocurrency rate information is provided by
          <a href="https://www.bitstamp.net/">Bitstamp</a>. Your access to and
          use of the data is conditioned on your acceptance of the Bitstamp
          <a href="https://www.bitstamp.net/terms-of-use/">Terms of Use</a> when
          using the data.
        </p>
        <p>
          The cryptocurrency rate information is updated around every 5 seconds.
        </p>
      </div>
    </section>

    <section class="rates">
      <div class="container">
        <div class="row">
          <h4>Rates</h4>
          <span
            th:text="'Updated at: ' + ${#temporals.format(timestamp, 'yyyy-MM-dd HH:mm:ss Z')}"
          ></span>
          <div
            th:each="price: ${cryptoPrices}"
            class="col-sm-12 col-md-6 col-lg-4 py-2 rate-card"
          >
            <div class="card">
              <div class="card-body">
                <div>
                  <div class="name">
                    <img
                      th:src="'static/images/coins/' + ${price.crypto.toLowerCase()} + '.svg'"
                      alt="no_icon"
                      class="icon"
                    />
                    <span class="card-title" th:text="${price.crypto}"></span>
                  </div>
                  <p
                    class="value"
                    th:text="${#numbers.formatCurrency(price.rate)}"
                  ></p>
                </div>
                <div>
                  <div>
                    <a
                      th:href="'https://www.bitstamp.net/markets/' + ${price.crypto.toLowerCase()} + '/usd/'"
                      target="_blank"
                      class="btn btn-primary btn-sm"
                    >
                      Go to Bitstamp
                    </a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <footer th:replace="fragments/footer"></footer>
  </body>
</html>
